#!/bin/nawk -f

##---------------------------------------------------------------
##             Convert lexicon between formats
##
## cat lexicon     | sort | conv_lex.awk 0 > lexicon.new
## cat lexicon.new | sort | conv_lex.awk 1 > lexicon
##
## lexicon     has format:    book NN 
##                            book VB
## lexicon.new has format:    book NN VB
##
## Note: lexicons should be sorted
##-------------------------------------------------------------

BEGIN { 
  DIR = ARGV[1];
  ARGV[1]=""; ##  ARGC--;
  if(2>=ARGC) ARGV[ARGC++]="-";
} 
 
##------------- map lexicons  -------------
{
  if( $1 != "")
  { 
    if(DIR==0)
    {
       ZZ=RR; RR = $1;  
       if(ZZ == RR) for(i=2; i<=NF; i++) printf(" %s",$i); 
       else printf("\n%s",$0);
       ZZ = RR;
    }
    else 
    {
       for(i=2; i<= NF; i++)
                  print $1" "$i;
    }
  }
}
